.test-realtime:
  extends:
    - .test
  variables:
    LAVA_TESTS: "--test-plan lkft-rt --test-case ltp-sched.yaml rcutorture.yaml"

test-oe-qemu-arm64:
  extends:
    - .test-realtime
  variables:
    ARCH: arm64
    DEVICE_TYPE: qemu_arm64
  needs:
    - build-arm64-gcc
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-arm:
  extends:
    - .test-realtime
  variables:
    ARCH: arm
    DEVICE_TYPE: qemu_arm
    LAVA_TAGS: "qemu-arm-32,"
  needs:
    - build-arm-gcc
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-x86_64:
  extends:
    - .test-realtime
  variables:
    ARCH: x86
    DEVICE_TYPE: qemu_x86_64
  needs:
    - build-x86-gcc
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-i386:
  extends:
    - .test-realtime
  variables:
    ARCH: i386
    DEVICE_TYPE: qemu_i386
  needs:
    - build-i386-gcc
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-arm64-rt:
  extends:
    - .test-realtime
  variables:
    ARCH: arm64
    DEVICE_TYPE: qemu_arm64
    QA_ENVIRONMENT: "preempt-rt"
  needs:
    - build-arm64-gcc-rt
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-arm64-lowlatency:
  extends:
    - .test-realtime
  variables:
    ARCH: arm64
    DEVICE_TYPE: qemu_arm64
    QA_ENVIRONMENT: "lowlatency"
  needs:
    - build-arm64-gcc-lowlatency
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-arm64-voluntary:
  extends:
    - .test-realtime
  variables:
    ARCH: arm64
    DEVICE_TYPE: qemu_arm64
    QA_ENVIRONMENT: "voluntary"
  needs:
    - build-arm64-gcc-voluntary
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-arm64-preempt-none:
  extends:
    - .test-realtime
  variables:
    ARCH: arm64
    DEVICE_TYPE: qemu_arm64
    QA_ENVIRONMENT: "preempt-none"
  needs:
    - build-arm64-gcc-preempt-none
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-arm-rt:
  extends:
    - .test-realtime
  variables:
    ARCH: arm
    DEVICE_TYPE: qemu_arm
    LAVA_TAGS: "qemu-arm-32,"
    QA_ENVIRONMENT: "preempt-rt"
  needs:
    - build-arm-gcc-rt
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-arm-lowlatency:
  extends:
    - .test-realtime
  variables:
    ARCH: arm
    DEVICE_TYPE: qemu_arm
    LAVA_TAGS: "qemu-arm-32,"
    QA_ENVIRONMENT: "lowlatency"
  needs:
    - build-arm-gcc-lowlatency
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-arm-voluntary:
  extends:
    - .test-realtime
  variables:
    ARCH: arm
    DEVICE_TYPE: qemu_arm
    LAVA_TAGS: "qemu-arm-32,"
    QA_ENVIRONMENT: "voluntary"
  needs:
    - build-arm-gcc-voluntary
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-arm-preempt-none:
  extends:
    - .test-realtime
  variables:
    ARCH: arm
    DEVICE_TYPE: qemu_arm
    LAVA_TAGS: "qemu-arm-32,"
    QA_ENVIRONMENT: "preempt-none"
  needs:
    - build-arm-gcc-preempt-none
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-x86_64-rt:
  extends:
    - .test-realtime
  variables:
    ARCH: x86
    DEVICE_TYPE: qemu_x86_64
    QA_ENVIRONMENT: "preempt-rt"
  needs:
    - build-x86-gcc-rt
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-x86_64-lowlatency:
  extends:
    - .test-realtime
  variables:
    ARCH: x86
    DEVICE_TYPE: qemu_x86_64
    QA_ENVIRONMENT: "lowlatency"
  needs:
    - build-x86-gcc-lowlatency
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-x86_64-voluntary:
  extends:
    - .test-realtime
  variables:
    ARCH: x86
    DEVICE_TYPE: qemu_x86_64
    QA_ENVIRONMENT: "voluntary"
  needs:
    - build-x86-gcc-voluntary
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-x86_64-preempt-none:
  extends:
    - .test-realtime
  variables:
    ARCH: x86
    DEVICE_TYPE: qemu_x86_64
    QA_ENVIRONMENT: "preempt-none"
  needs:
    - build-x86-gcc-preempt-none
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-i386-rt:
  extends:
    - .test-realtime
  variables:
    ARCH: i386
    DEVICE_TYPE: qemu_i386
    QA_ENVIRONMENT: "preempt-rt"
  needs:
    - build-i386-gcc-rt
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-i386-lowlatency:
  extends:
    - .test-realtime
  variables:
    ARCH: i386
    DEVICE_TYPE: qemu_i386
    QA_ENVIRONMENT: "lowlatency"
  needs:
    - build-i386-gcc-lowlatency
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-i386-voluntary:
  extends:
    - .test-realtime
  variables:
    ARCH: i386
    DEVICE_TYPE: qemu_i386
    QA_ENVIRONMENT: "voluntary"
  needs:
    - build-i386-gcc-voluntary
    - job: download_prerequisites
      artifacts: true

test-oe-qemu-i386-preempt-none:
  extends:
    - .test-realtime
  variables:
    ARCH: i386
    DEVICE_TYPE: qemu_i386
    QA_ENVIRONMENT: "preempt-none"
  needs:
    - build-i386-gcc-preempt-none
    - job: download_prerequisites
      artifacts: true

test-oe-db410c-rt:
  extends:
    - .test-realtime
  variables:
    ARCH: arm64
    DEVICE_TYPE: dragonboard-410c
    QA_ENVIRONMENT: "preempt-rt"
  needs:
    - build-arm64-gcc-rt
    - job: download_prerequisites
      artifacts: true

test-oe-juno-rt:
  extends:
    - .test-realtime
  variables:
    ARCH: arm64
    DEVICE_TYPE: juno-r2
    QA_ENVIRONMENT: "preempt-rt"
  needs:
    - build-arm64-gcc-rt
    - job: download_prerequisites
      artifacts: true

test-oe-x15-rt:
  extends:
    - .test-realtime
  variables:
    ARCH: arm
    DEVICE_TYPE: x15
    QA_ENVIRONMENT: "preempt-rt"
  needs:
    - build-arm-gcc-rt
    - job: download_prerequisites
      artifacts: true

test-oe-x86_64-rt:
  extends:
    - .test-realtime
  variables:
    ARCH: x86
    DEVICE_TYPE: x86
    QA_ENVIRONMENT: "preempt-rt"
  needs:
    - build-x86-gcc-rt
    - job: download_prerequisites
      artifacts: true

test-oe-i386-rt:
  extends:
    - .test-realtime
  variables:
    ARCH: i386
    DEVICE_TYPE: i386
    QA_ENVIRONMENT: "preempt-rt"
  needs:
    - build-i386-gcc-rt
    - job: download_prerequisites
      artifacts: true
